Navdesk & Windows 10 Compatibility

You will need to install and activate .NET Framework 3.5 in order for the NavDesk software to operate correctly on Windows 10 computers.
During installation of the Navdesk software, it will prompt you if .NET Framework 3.5 is required and will automatically download and install if required. Alternatively you can follow the instructions in the web link below.


Click here to for instructions to install .NET Framework 3.5

Also ensure you run the program in Windows 7 compatibility mode as shown below:

1. Right click on the Navdesk shortcut .exe file (usually placed on your desktop)

2. Click on Properties.

3. Click on the Compatibility tab.



4. Check the Run this program in compatibility mode for box.

5. Click on the drop down menu arrow and select Windows 7.

6. To Change the Privilege Level of the program - Check the Run this program as an administrator box to enable or disable this option.



7. Click on OK to apply the changes.

8. Now, double click on the Navdesk shortcut .exe file to launch Navdesk.





Need further Information ?

If the above answer did not give you the answer you were looking for, or you need further information please complete the box below and we will answer your question personally.

Name
Email
Query
Copyright © 2017 MiTAC Intl.